hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rathi <riteshra...@gmail.com>
Subject Re: HBase with hdfs
Date Sat, 18 Oct 2008 16:49:19 GMT
On further analysis it seems the VERSION_FILE_NAME which the HBase gets from
hdfs is NULL. HDFS is running fine but dont know why the version is returned
as NULL.

rathi




On Sat, Oct 18, 2008 at 6:12 PM, rathi <riteshrathi@gmail.com> wrote:

> Hadoop Version : hadoop-0.18.0
> HBase Version : hbase-0.18.0
>
> I am doing a fresh start of hadoop and hbase. Hadoop starts properly but
> when I try to start hbase it quits with the below given exception.
>
> 2008-10-18 17:27:10,990 INFO org.apache.hadoop.hbase.master.HMaster: Root
> region dir: hdfs://172.16.1.191:10000/-ROOT-/70236052
> 2008-10-18 17:27:11,197 FATAL org.apache.hadoop.hbase.master.HMaster: Not
> starting HMaster because:
> org.apache.hadoop.hbase.util.FileSystemVersionException: File system needs
> to be upgraded. Run the '${HBASE_HOME}/bin/hbase migrate' script.
>         at
> org.apache.hadoop.hbase.util.FSUtils.checkVersion(FSUtils.java:131)
>         at org.apache.hadoop.hbase.master.HMaster.<init>(HMaster.java:203)
>         at org.apache.hadoop.hbase.master.HMaster.<init>(HMaster.java:147)
>         at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native
> Method)
>         at
> sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
>         at
> sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
>         at java.lang.reflect.Constructor.newInstance(Constructor.java:494)
>         at org.apache.hadoop.hbase.master.HMaster.doMain(HMaster.java:784)
>         at org.apache.hadoop.hbase.master.HMaster.main(HMaster.java:818)
> 2008-10-18 17:27:11,205 ERROR org.apache.hadoop.hbase.master.HMaster: Can
> not start master
> java.lang.reflect.InvocationTargetException
>         at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native
> Method)
>         at
> sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
>         at
> sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:27)
>         at java.lang.reflect.Constructor.newInstance(Constructor.java:494)
>         at org.apache.hadoop.hbase.master.HMaster.doMain(HMaster.java:784)
>         at org.apache.hadoop.hbase.master.HMaster.main(HMaster.java:818)
> Caused by: org.apache.hadoop.hbase.util.FileSystemVersionException: File
> system needs to be upgraded. Run the '${HBASE_HOME}/bin/hbase migrate'
> script.
>         at
> org.apache.hadoop.hbase.util.FSUtils.checkVersion(FSUtils.java:131)
>         at org.apache.hadoop.hbase.master.HMaster.<init>(HMaster.java:203)
>         at org.apache.hadoop.hbase.master.HMaster.<init>(HMaster.java:147)
>         ... 6 more
>
>
>
> Can someone advice me on this.
>
> thanks & regards,
> rathi
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message